<?php
session_start();
require('../Operaciones/Cliente_operacion.php');
if(isset($_SESSION['Login'])){
$Id	=$_SESSION['Login'];
}else {
	session_start();
	session_destroy();
	header('location: ../Salir.php');
}
$Folio=$_POST['Folio'];

?>
<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Untitled Document</title>
<style>
.T_Captura {
		width: 90%;
		border: 1px solid #000;
  		border-collapse: separate;
  		border-spacing: 5px;
		font-family: Liberation Serif, Times;
		font-size: 16px;
	}
.T_Captura th {
  padding-top: 12px;
  padding-bottom: 12px;
  text-align: center;
  background-color: #BFBFC5;
  color: black;
}
#File_Guia {
		width: 75%;
		height: 90px;
		border: 1px solid #000;
		text-align: center;
		padding: 10px;
	}
	
.Titulo {
	background-color: #def;
}

	#Pan_Up_Guia {
		width: 75%;
		height: 90px;
		border: 1px solid #000;
		text-align: center;
		padding: 10px;
	}
</style>
</head>

<body>
<?php 
	if (!is_null($Folio))
	{
		$dato= new Cliente_P();
		$dato_F= new Cliente_P();
		$dato=$dato->Datos_Fol($Folio,$Id);
		$Merc=$dato['Merc'];
		$Msg=(!$dato ? "- - !! No se encontro Folio ¡¡ - - " : "");	
	echo '<div class="Res" align="center"><div id="Msg"><h3>'.$Msg.'</h3></div><table class="T_Captura"><tbody>';
	echo '<tr><th colspan="2" align="center">.: Historial de Folio :.</th></tr>';
		 if ($dato['Act']==1){
			 
?>	
    
    <tr>
      <td>Fecha Emision :</td>
      <td><?php echo $dato_F->Cambio_Fecha($dato['Fecha_Emi'],0) ?></td>
    </tr>
    <tr>
      <td>Fecha de Captura :</td>
      <td><?php echo $dato_F->Cambio_Fecha($dato['Fecha_Cap'],1) ?></td>
    </tr>
    <tr>
      <td>Municipio Origen :</td>
      <td><?php echo $dato['Mpio_Origen'] ?></td>
    </tr>
    <tr>
      <td>Estado Destino :</td>
      <td><?php echo $dato['Est_Destino'] ?></td>
    </tr>
    <tr>
      <td>Municipio Destino :</td>
      <td><?php echo $dato['Mpio_Destino'] ?></td>
    </tr>
    <tr>
      <td>Mercancia :</td>
      <td><?php echo $dato['Mercancia'] ?></td>
    </tr>
    <tr>
      <td>Folio C. Zoosanitario :</td>
      <td><?php echo $dato['Folio_Zoo'] ?></td>
    </tr>
    <tr>
      <td>Cantidad :</td>
      <td><?php echo $dato['Cantidad'] ?></td>
    </tr>
    <tr>
      <td>Motivo :</td>
      <td><?php echo $dato['Motivos'] ?> | <?php echo $dato['Motivo'] ?></td>
    </tr>
    <tr>
      <td>Observaciones :</td>
      <td><?php echo $dato['Observaciones'] ?></td>
    </tr>
<?php 
	$Flag=1;
	}elseif($dato['Act']==2){
	 echo '<tr><td colspan="2" align="center"><h3>- - Folio Cancelado - -<h3></td></tr>';
     echo '<tr><td>Observaciones :</td><td>'.$dato['Observaciones'].'</td></tr>';
	 echo '<tr><td>Fecha de Captura :</td><td>'.$dato_F->Cambio_Fecha($dato['Fecha_Cap'],1).' </td></tr>';
	$Flag=3; 
	}elseif($dato['Act']==3){
	 echo '<tr><td colspan="2" align="center"><h3>- - Folio Incompleto Favor de Comunicar al Comite - -</h3></td></tr>';
 	 echo '<tr><td>Fecha de Captura :</td><td>'.$dato_F->Cambio_Fecha($dato['Fecha_Cap'],1).'</td></tr>';
	$Flag=2;
	}
	elseif($dato['Act']==0){
	 echo '<tr><td colspan="2" align="center"><h4>- - Folio disponible  - -</h4></td></tr>';
 	 echo '<tr><td></td><td></td></tr>';
	$Flag=3;
	}}
	
echo '</tbody></table><p>';	
	if ($Flag==1){
		echo '<div id="Pan_Up_Guia" "> <span class="Titulo"> * * Archivo Guia de Transito * *</span><br>
		<hr><div id="Panta_I" align="center"><button type="button" id="Up_Guia" name="Up_Guia" class="Boton" onClick="showModal()">Subir Guia</button></div><div id="Panta_II" style="display:none;"><button type="button" id="V_Guia" name="V_Guia" onClick="Visual('.$Folio.')" ><img src="../Diseno/1086563-01.png" width="40" height="40" alt=""/></button></div>
		</div>';

	}
		
//echo '<div align="center"><div id="Panta_II" style="display:none;"><button type="button" id="V_Guia" name="V_Guia" onClick="Visual('.$Folio.')" ><img src="../Diseno/1086563-01.png" width="40" height="40" alt=""/></button></div><button type="button" id="Btn_Visualiza" name="Btn_Visualiza" onClick="Visual('.$Folio.')" ><img src="../Diseno/1086563-01.png" width="40" height="40" alt=""/></button><button type="button" id="Up_Guia" name="Up_Guia" class="Boton" onClick="showModal()">Subir Guia</button></div></div></p>';
?>
<p><div id="L_Aretes" style="display:none;"></div></p>
</div>	
<script>
	Pantalla();
	var Mer_ = '<?php echo $Merc; ?>';
	var Folio_ = '<?php echo $Folio; ?>';
	if (Mer_==1 || Mer_==9){
		document.getElementById('L_Aretes').style.display = 'block';	
		$("#L_Aretes").load("Procesos.php",{Opc:7,Folio:Folio_});
	}
	
	function Pantalla(){
		let Bandera_ ='<?php echo $Flag; ?>';
		let Ruta_ ='<?php echo $dato['Ruta']; ?>';
		if (Ruta_.length > 1){
			document.getElementById('Panta_II').style.display = 'block';		
			document.getElementById('Panta_I').style.display = 'none';		
		}else{
			document.getElementById('Panta_II').style.display = 'none';
			document.getElementById('Panta_I').style.display = 'block';		
		}
		if (Bandera_ == 3){
			document.getElementById('File_Guia').style.display = 'none';		
		}
	}
</script>
</body>
</html>